Package: org.apache.groovy.json.internal

## [Java] Class CharSequenceValue

- org.apache.groovy.json.internal.CharSequenceValue

- All Implemented Interfaces and Traits:
    Value, CharSequence

      public class CharSequenceValue
      extends Object
      implements Value, CharSequence

- - ### Constructor Summary

    Constructors
    Constructor and description
    `CharSequenceValue(boolean chop, Type type, int startIndex, int endIndex, char[] buffer, boolean encoded, boolean checkDate)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public BigDecimal` | `bigDecimalValue()`
    `` | `public BigInteger` | `bigIntegerValue()`
    `` | `public boolean` | `booleanValue()`
    `` | `public byte` | `byteValue()`
    `` | `public final char` | `charAt(int index)`
    `` | `public char` | `charValue()`
    `` | `public final void` | `chop()`
    `` | `public Date` | `dateValue()`
    `` | `public double` | `doubleValue()`
    `` | `public boolean` | `equals(Object o)`
    `` | `public float` | `floatValue()`
    `` | `public int` | `hashCode()`
    `` | `public int` | `intValue()`
    `` | `public boolean` | `isContainer()`
    `` | `public final int` | `length()`
    `` | `public long` | `longValue()`
    `` | `public short` | `shortValue()`
    `` | `public String` | `stringValue()`
    `` | `public String` | `stringValueEncoded()`
    `` | `public final CharSequence` | `subSequence(int start, int end)`
    `<T extends Enum>` | `public T` | `toEnum(Class<T> cls)`
    `<T extends Enum>` | `public static T` | `toEnum(Class<T> cls, String value)`
    `<T extends Enum>` | `public static T` | `toEnum(Class<T> cls, int value)`
    `` | `public String` | `toString()`
    `` | `public final Object` | `toValue()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public CharSequenceValue(boolean chop, Type type, int startIndex, int endIndex, char[] buffer, boolean encoded, boolean checkDate)

  - ### Method Detail

    - #### @Override public BigDecimal bigDecimalValue()

    - #### @Override public BigInteger bigIntegerValue()

    - #### @Override public boolean booleanValue()

    - #### @Override public byte byteValue()

    - #### @Override public final char charAt(int index)

    - #### @Override public char charValue()

    - #### @Override public final void chop()

    - #### @Override public Date dateValue()

    - #### @Override public double doubleValue()

    - #### @Override public boolean equals(Object o)

    - #### @Override public float floatValue()

    - #### @Override public int hashCode()

    - #### @Override public int intValue()

    - #### @Override public boolean isContainer()

    - #### @Override public final int length()

    - #### @Override public long longValue()

    - #### @Override public short shortValue()

    - #### @Override public String stringValue()

    - #### @Override public String stringValueEncoded()

    - #### @Override public final CharSequence subSequence(int start, int end)

    - #### <T extends Enum> @Override public T toEnum(Class<T> cls)

    - #### <T extends Enum> public static T toEnum(Class<T> cls, String value)

    - #### <T extends Enum> public static T toEnum(Class<T> cls, int value)

    - #### @Override public String toString()

    - #### @Override public final Object toValue()